"use strict";

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactDom = require("react-dom");

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactTestRenderer = require("react-test-renderer");

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _ProgressArc = require("./ProgressArc");

var _ProgressArc2 = _interopRequireDefault(_ProgressArc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

it("renders with default props", function () {
  var div = document.createElement("div");
  _reactDom2.default.render(_react2.default.createElement(_ProgressArc2.default, null), div);
});

it("renders value", function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(_ProgressArc2.default, { value: 42 }));
  expect(tree).toMatchSnapshot();
});

it("renders custom units", function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(_ProgressArc2.default, { value: 42, unit: "GB", max: 64 }));
  expect(tree).toMatchSnapshot();
});

it("renders with custom colors", function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(_ProgressArc2.default, { value: 99, arcColor: "red", textColor: "black", rounded: true }));
  expect(tree).toMatchSnapshot();
});

it("disables text", function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(_ProgressArc2.default, { value: 42, textVisible: false }));
  expect(tree).toMatchSnapshot();
});